Foxit PDF Conversion SDK

Public Attributes | List of all members
IFX_Allocator Struct Reference
FXCRT

Foxit allocator interface. More...

## Public Attributes
void *(* | m_Alloc )(struct _IFX_Allocator *pAllocator, size_t size)
| A pointer type to an allocation function. More...
void *(* | m_AllocDebug )(struct _IFX_Allocator *pAllocator, size_t size, FX_LPCSTR file, int line)
| A pointer type to a debug-mode allocation function. More...
void(* | m_Free )(struct _IFX_Allocator *pAllocator, void *p)
| A pointer type to a free function. More...
void *(* | m_Realloc )(struct _IFX_Allocator *pAllocator, void *p, size_t size)
| A pointer type to a re-allocation function. More...
void *(* | m_ReallocDebug )(struct _IFX_Allocator *pAllocator, void *p, size_t size, FX_LPCSTR file, int line)
| A pointer type to a debug-mode re-allocation function. More...

## Detailed Description

Foxit allocator interface.

## Member Data Documentation

## ◆ m_Alloc

void*(* IFX_Allocator::m_Alloc) (struct _IFX_Allocator *pAllocator, size_t size)

A pointer type to an allocation function.

The function prototype is:
void* Alloc(IFX_Allocator* pAllocator, size_t size);

Parameters

  [in] | pAllocator | A pointer to a IFX_Allocator object.
  [in] | size | The size in bytes to allocate.

Returns
  Address of new memory block.

## ◆ m_AllocDebug

void*(* IFX_Allocator::m_AllocDebug) (struct _IFX_Allocator *pAllocator, size_t size, FX_LPCSTR file, int line)

A pointer type to a debug-mode allocation function.

The function prototype is:
void* AllocDebug(IFX_Allocator* pAllocator, size_t size, FX_LPCSTR filename, int line);

Parameters

  [in] | pAllocator | A pointer to a IFX_Allocator object.
  [in] | size | The size in bytes to allocate.
  [in] | file | The name of the current source file.
  [in] | line | The line number in the current source file.

Returns
  Address of new memory block.

## ◆ m_Free

void(* IFX_Allocator::m_Free) (struct _IFX_Allocator *pAllocator, void *p)

A pointer type to a free function.

The function prototype is:
void free(IFX_Allocator* pAllocator, void* p);

Parameters

  [in] | pAllocator | A pointer to a IFX_Allocator object.
  [in] | p | Address of a memory block.

Returns
  None.

## ◆ m_Realloc

void*(* IFX_Allocator::m_Realloc) (struct _IFX_Allocator *pAllocator, void *p, size_t size)

A pointer type to a re-allocation function.

The function prototype is:
void* Realloc(IFX_Allocator* pAllocator, void* p, size_t size);

Parameters

  [in] | pAllocator | A pointer to a IFX_Allocator object.
  [in] | p | Pointer to reallocate.
  [in] | size | The new size in bytes to reallocate.

Returns
  Address of new pointer.

## ◆ m_ReallocDebug

void*(* IFX_Allocator::m_ReallocDebug) (struct _IFX_Allocator *pAllocator, void *p, size_t size, FX_LPCSTR file, int line)

A pointer type to a debug-mode re-allocation function.

The function prototype is:
void* ReallocDebug(IFX_Allocator* pAllocator, void* p, size_t size, FX_LPCSTR filename, int line);

Parameters

  [in] | pAllocator | A pointer to a IFX_Allocator object.
  [in] | p | Pointer to reallocate.
  [in] | size | The new size in bytes to reallocate.
  [in] | file | The name of the current source file.
  [in] | line | The line number in the current source file.

Returns
  Address of new pointer.